Bug 1017417 - 389-base-ds incorrectly labled as core [NEEDINFO]
389-base-ds incorrectly labled as core
Status: MODIFIED
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: doc-Package_Manifest (Show other bugs)
6.5
All All
low Severity low
: rc
: ---
Assigned To: Lenka Špačková
ecs-bugs
: Documentation
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-09 16:28 EDT by John Priddy
Modified: 2018-03-16 02:44 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
lkuprova: needinfo? (nkinder)
lkuprova: needinfo? (nkinder)
lkuprova: needinfo? (nkinder)


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Knowledge Base (Article) 65032 None None None Never

  None (edit)
Description John Priddy 2013-10-09 16:28:10 EDT
Description of problem:

Package manifest labels 389-base-ds as core when it is (apparently) not core.


Steps to Reproduce:

A customer was asking about standing up an LDAP server in a supported fashion via the 389-base-ds package we ship and I told him that would not be supported and referenced this:

https://access.redhat.com/site/articles/65032

The package is *only* supported as a prereq of IDM and RHDS.  However, he looked up the package manifest and sure enough, that particular package is flagged as core:

https://access.redhat.com/site/documentation/en-US/Red_Hat_Enterprise_Linux/6/html-single/Package_Manifest/index.html

So either the kbase article is incorrect (unlikely since it was explictly created so that people didn't install 389 for full support) or the package manifest is incorrect.

Additional info:

There was more discussion on the internal mailing list about this here:

http://post-office.corp.redhat.com/archives/ldap-support-list/2013-October/msg00006.html
Comment 2 Eliska Slobodova 2013-10-10 03:49:50 EDT
Hi John,

The Package Manifest is generated by a script so there might be inconsistencies.
The kbase article is specific for 6.2; is it still valid for later RHEL versions as well? The problem is that for RHEL 6, there is only a single Package Manifest that is re-generated upon GAs of minor RHEL versions (the current one was created with RHEL 6.4).

If 389-ds-base is not a core package, I can correct the info and re-publish the book asap. And will check later when generating a new book for 6.5 to make sure the info is correct. Is it OK?
Comment 8 Petr Spacek 2015-10-15 04:55:05 EDT
BTW pki-* packages and probably new bind-pkcs11 package have the very
same problem, i.e. should be listed as "non-core".
Comment 10 Nathan Kinder 2015-10-15 14:36:00 EDT
We should be listing the following as non-core packages, as they are only supported for use as a part of ipa-server, Red Hat Directory Server, or Red Hat Certificate System:

  389-ds-base
  nuxwdog
  pki-ca

These are all incorrectly listed as "core" in the current RHEL 7 package manifest.  In addition, the following appear to be incorrect in the RHEL 6 package manifest:

  389-ds-base
  ipa-pki-ca-theme
  ipa-pki-common-theme
  nuxwdog
  pki-ca
  pki-silent
Comment 12 Petr Spacek 2015-11-18 07:38:42 EST
While reviewing package manifest for RHEL 7.2, I just found out that following packages should also be listed as non-core packages:
bind-pkcs11
bind-pkcs11-utils
Comment 13 Lenka Špačková 2015-11-19 05:32:23 EST
The requested changes have been made to the RHEL 7.2 version, now published at:

https://access.redhat.com/documentation/en-US/Red_Hat_Enterprise_Linux/7/html/Package_Manifest/index.html

We are working on updating the 6.7 version.

Note You need to log in before you can comment on or make changes to this bug.